#include <iostream>
#include <stack>
#include <string>

using namespace std;

long long int funkcija(long long int, long long int);
string ispitivanje(long long int, long long int, long long int, long long int);

int main(void){

    long long int x, y;
    cin >> x;
    cin >> y;

    cout << funkcija(x, y) << endl;

    return 0;
}

string ispitivanje(long long int a, long long int b, long long int x, long long int y){
    if(a > b)
        return to_string(a);
    else if(b > a)
        return to_string(b);
    else if(x == 0 && a == 0)
        return to_string(b);
    else if(y == 0 && b == 0)
        return to_string(a);
    else if(a == b)
        return to_string(a) + to_string(b);
    else
        return "nista";
}

long long int funkcija(long long int x, long long int y){
    stack<string> stek;
    long long int pomx, pomy;
    while(true){
        
        pomx = x % 10;
        x /= 10;
        pomy = y % 10;
        y /= 10;

        string broj = ispitivanje(pomx, pomy, x, y);

        if(ispitivanje(pomx, pomy, x, y) != "nista")
            stek.push(broj);

        if(x==0 && y==0)
            break;

    }

    string s = "";

    while(!stek.empty()){
        s += stek.top();
        stek.pop();
    }

    return stoi(s);
}